/*
 * Copyright (c) 1999 Greg Haerr <greg@censoft.com>
 *
 * Main module of micro-Windows
 */
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/types.h>
#if UNIX
#include <unistd.h>
#include <sys/time.h>
#endif
#include "windows.h"
#include "wintern.h"

#include <rtems.h>
#include <irq.h>
#include "pc_uart.h"

#define  RTEMS_KBD_EVENT   RTEMS_EVENT_19

void GsSelect(void)
{
   rtems_event_set o;
   rtems_status_code rc;
/*   printk( "W-" );  */
   o = 0;
   rc = rtems_event_receive( RTEMS_KBD_EVENT | PC_UART_RECEIVE_EVENT, 
                             RTEMS_WAIT | RTEMS_EVENT_ANY, 100, &o );
   if( rc == RTEMS_TIMEOUT )
   {
/*      printk( "WT+" );  */
      return;
   }

/*   printk( "Got this event: %X\n", o );  */

	/* If mouse data present, service it*/
	if( o & PC_UART_RECEIVE_EVENT )
   {
/*      printk( "Waiting event - got mouse event\n" );  */
 	   GsCheckMouseEvent();
   }
	/* If keyboard data present, service it*/
	if( o & RTEMS_KBD_EVENT )
   {
/*      printk( "Waiting event - got kbd event\n" );  */
		GsCheckKeyboardEvent();
   }
}
